Bug 965791 - F19 - unable to connect to WPA2 / LEAP wireless network
F19 - unable to connect to WPA2 / LEAP wireless network
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
: 966959 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 13:53 EDT by Joel
Modified: 2014-01-27 12:14 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-28 09:51:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages when attempting to connect to WPA2 Enterprise / LEAP (18.07 KB, text/plain)
2013-05-21 13:53 EDT, Joel
no flags Details

  None (edit)
Description Joel 2013-05-21 13:53:56 EDT
Created attachment 751338 [details]
/var/log/messages when attempting to connect to WPA2 Enterprise / LEAP

Description of problem:
Hard to place when exactly this stopped working, but at least starting with Fedora 19 Alpha, I can no longer connect to a local Wifi network protected through WPA2 Enterprise / LEAP.


Version-Release number of selected component (if applicable):
NetworkManager-0.9.8.1-4.git20130515.fc19.x86_64
wpa_supplicant-2.0-3.fc19.x86_64


How reproducible:
Every time.

Steps to Reproduce:
1. Start up Network Settings by clicking the network widget in the top right (on Gnome3) and selecting "Network Settings"
2. With the wireless adapter select on the left select "Connect to Hidden Network"
3. Fill out the details: 
Connection: New
Network name: <fill in the SSID of your WPA2 Enterprise / LEAP network>
Wi-fi security: WPA & WPA2 Enterprise
Authentication: LEAP
Username: <your LEAP username>
Password: <your LEAP password>

Press "Connect"

Actual results:
It spends quite a while trying to connect. Eventually it pops up an authentication window asking you to put your password in again. You can put your password in again if you wish, and attempt to connect again. It will wait a long while and then re-ask for you password. You can't get out of this password-asking loop without just pressing "cancel" to stop trying to connect.

Looking at /var/log/messages (full log to be attached) shows:
May 21 13:31:28 10-0-11-216 NetworkManager[549]:    ifcfg-rh: updating /etc/sysconfig/network-scripts/ifcfg-IBM_1
May 21 13:31:30 10-0-11-216 kernel: [73426.940175] wlp3s0: authenticate with 00:3a:98:e6:30:c0
May 21 13:31:30 10-0-11-216 kernel: [73426.944383] wlp3s0: send auth to 00:3a:98:e6:30:c0 (try 1/3)
May 21 13:31:30 10-0-11-216 kernel: [73426.947287] wlp3s0: authenticated
May 21 13:31:30 10-0-11-216 kernel: [73426.950681] wlp3s0: associate with 00:3a:98:e6:30:c0 (try 1/3)
May 21 13:31:30 10-0-11-216 kernel: [73426.955230] wlp3s0: RX AssocResp from 00:3a:98:e6:30:c0 (capab=0x431 status=0 aid=7)
May 21 13:31:30 10-0-11-216 kernel: [73426.959772] wlp3s0: associated
May 21 13:31:30 10-0-11-216 kernel: [73426.959821] IPv6: ADDRCONF(NETDEV_CHANGE): wlp3s0: link becomes ready
May 21 13:31:30 10-0-11-216 kernel: [73426.959961] cfg80211: Calling CRDA for country: US
May 21 13:31:30 10-0-11-216 NetworkManager[549]: <info> (wlp3s0): supplicant interface state: scanning -> authenticating
May 21 13:31:30 10-0-11-216 NetworkManager[549]: <info> (wlp3s0): supplicant interface state: authenticating -> associating
May 21 13:31:30 10-0-11-216 kernel: [73427.112760] cfg80211: Regulatory domain changed to country: US
...
May 21 13:31:30 10-0-11-216 NetworkManager[549]: <info> (wlp3s0): supplicant interface state: associating -> associated
May 21 13:31:31 10-0-11-216 avahi-daemon[455]: Registering new address record for fe80::223:14ff:fe7b:c5f4 on wlp3s0.*.
May 21 13:31:52 10-0-11-216 kernel: [73449.653010] wlp3s0: deauthenticating from 00:3a:98:e6:30:c0 by local choice (reason=3)
May 21 13:31:52 10-0-11-216 NetworkManager[549]: <warn> Activation (wlp3s0/wireless): association took too long.
May 21 13:31:52 10-0-11-216 kernel: [73449.661067] cfg80211: Calling CRDA to update world regulatory domain
...
May 21 13:31:52 10-0-11-216 kernel: [73449.671672] cfg80211: Calling CRDA for country: US
...
May 21 13:31:53 10-0-11-216 NetworkManager[549]: <info> (wlp3s0): device state change: config -> need-auth (reason 'none') [50 60 0]
May 21 13:31:53 10-0-11-216 NetworkManager[549]: <warn> Activation (wlp3s0/wireless): asking for new secrets
May 21 13:31:53 10-0-11-216 NetworkManager[549]: <warn> Connection disconnected (reason -3)
May 21 13:31:53 10-0-11-216 NetworkManager[549]: <info> (wlp3s0): supplicant interface state: associated -> disconnected
May 21 13:31:53 10-0-11-216 NetworkManager[549]: <warn> Couldn't disconnect supplicant interface: This interface is not connected.
May 21 13:31:53 10-0-11-216 NetworkManager[549]: <warn> Connection disconnected (reason -3)

Expected results:
Connect to WPA2 Enterprise / LEAP network and DHCP and address.


Additional info:
Comment 1 Dan Williams 2013-05-21 16:55:06 EDT
Looks like a supplicant issue actually.  Can you do some testing for me?  If so, then please:

1) mv /usr/sbin/wpa_supplicant /
2) killall -TERM wpa_supplicant
3) /wpa_supplicant -dddtu
4) attempt to reconnect to the network, or let NM try automatically
5) let it fail a few times, then email me the logs

These logs may have sensitive information in them that you don't want to share outside your organization, so feel free to email them to me directly.  I'll use these to diagnose the reason the supplicant and driver can no longer connect to the network.  Thanks!
Comment 2 Dan Williams 2013-05-22 08:32:49 EDT
Also, if your kernel version is 3.9.1 or 3.9.2, and you have a recent Intel wifi card, you might be running into this:

http://lkml.org/lkml/2013/5/22/115
Comment 3 Joel 2013-05-22 13:44:00 EDT
(In reply to Dan Williams from comment #2)
> Also, if your kernel version is 3.9.1 or 3.9.2, and you have a recent Intel
> wifi card, you might be running into this:
> 
> http://lkml.org/lkml/2013/5/22/115

I grabbed the Fedora19 kernel source and built a modified iwldvm.ko module with the patch mentioned in https://bugzilla.kernel.org/show_bug.cgi?id=58341 .

Using this iwldvm.ko module lets it connect successfully to the WPA2 Enterprise / LEAP network.
Comment 4 Dan Williams 2013-05-22 14:48:58 EDT
Ok, over to kernel then to ensure the patch gets into our kernels.
Comment 5 Josh Boyer 2013-05-22 14:54:53 EDT
Yeah, I added that patch this morning.
Comment 6 Josh Boyer 2013-05-28 09:51:27 EDT
This should be fixed with 3.9.4, which is now in the stable updates repo.
Comment 7 Dan Williams 2013-05-28 18:29:10 EDT
*** Bug 966959 has been marked as a duplicate of this bug. ***
Comment 8 André Martins 2013-10-21 06:57:47 EDT
I'm having the exact same problems and the steps that Dan Williams wrote temporarily work for me. Why is this marked as solved/closed?
Comment 9 Lei Peng 2013-11-13 01:55:00 EST
My laptop is suffering the same problems with kernel 3.11.7-200.
Comment 10 Yulia Kopkova 2013-11-25 14:16:04 EST
Also see this issue with 3.11.9-200.fc19.x86_64 and 03:00.0 Network controller: Intel Corporation Centrino Ultimate-N 6300 (rev 35)
Comment 11 Lei Peng 2013-11-26 19:07:15 EST
Just mention that the wifi unable to reconnect WPA2/PEAP unless reboot disappeared with kernel 3.11.8-200.fc19.x86_64, but happened again with 3.11.9-200. 

My network controller: Intel Corporation Centrino Wireless-N 1000 [Condor Peak]

I don't know how to apply the patch so can't tell if it's exactly the same cause.

Is it worth re-opening the bug report, if the problem continues?
Comment 12 Dan Lavu 2014-01-27 10:45:15 EST
I'm having the same issues in Fedora 20, kernel version 3.12.8-300

####
Jan 27 10:35:36 colossus NetworkManager[956]: <info> (wlp3s0): supplicant interface state: disconnected -> scanning
Jan 27 10:35:49 colossus NetworkManager[956]: <warn> Activation (wlp3s0/wireless): association took too long.
Jan 27 10:35:49 colossus NetworkManager[956]: <info> (wlp3s0): device state change: config -> need-auth (reason 'none') [50 60 0]
Jan 27 10:35:49 colossus NetworkManager[956]: <warn> Activation (wlp3s0/wireless): asking for new secrets
Jan 27 10:35:49 colossus NetworkManager[956]: <warn> Couldn't disconnect supplicant interface: This interface is not connected.
Jan 27 10:35:49 colossus NetworkManager[956]: <warn> Couldn't disconnect supplicant interface: This interface is not connected.
Jan 27 10:35:49 colossus dbus-daemon[867]: [system] Activating service name='org.fedoraproject.Setroubleshootd' (using servicehelper)
Jan 27 10:35:49 colossus dbus-daemon[867]: [system] Successfully activated service 'org.fedoraproject.Setroubleshootd'
Jan 27 10:35:50 colossus NetworkManager[956]: <info> (wlp3s0): supplicant interface state: scanning -> inactive
Jan 27 10:35:52 colossus setroubleshoot: Plugin Exception restorecon_source
Jan 27 10:35:52 colossus setroubleshoot: SELinux is preventing /usr/lib/systemd/systemd-hostnamed from associate access on the shared memory . For complete SELinux messages. run sealert -l f4207042-89b3-4f8e-8f61-b846fcab513c
Jan 27 10:35:52 colossus setroubleshoot: SELinux is preventing /usr/lib/systemd/systemd-hostnamed from unix_read access on the shared memory . For complete SELinux messages. run sealert -l 95974ddb-5900-49b1-9000-c7797f8a34e9
Jan 27 10:35:52 colossus setroubleshoot: SELinux is preventing /usr/lib/systemd/systemd-hostnamed from unix_read access on the shared memory . For complete SELinux messages. run sealert -l 95974ddb-5900-49b1-9000-c7797f8a34e9
Jan 27 10:35:52 colossus setroubleshoot: SELinux is preventing /usr/lib/systemd/systemd-hostnamed from read access on the shared memory . For complete SELinux messages. run sealert -l 2161b4ce-cb82-4b3c-a3d4-6a26e32ea9fc
Jan 27 10:35:52 colossus setroubleshoot: SELinux is preventing /usr/lib/systemd/systemd-hostnamed from read access on the shared memory . For complete SELinux messages. run sealert -l 2161b4ce-cb82-4b3c-a3d4-6a26e32ea9fc
Jan 27 10:35:54 colossus NetworkManager[956]: <warn> No agents were available for this request.
Jan 27 10:35:54 colossus NetworkManager[956]: <info> (wlp3s0): device state change: need-auth -> failed (reason 'no-secrets') [60 120 7]
Jan 27 10:35:54 colossus NetworkManager[956]: <info> NetworkManager state is now DISCONNECTED
Jan 27 10:35:54 colossus NetworkManager[956]: <info> Marking connection 'XXXXXGuest' invalid.
Jan 27 10:35:54 colossus NetworkManager[956]: <warn> Activation (wlp3s0) failed for connection 'XXXXXGuest'
Jan 27 10:35:54 colossus NetworkManager[956]: <info> (wlp3s0): device state change: failed -> disconnected (reason 'none') [120 30 0]
Jan 27 10:35:54 colossus NetworkManager[956]: <info> (wlp3s0): deactivating device (reason 'none') [0]
#####

[root@colossus:/var/log]# uname -a 
Linux colossus.runlevelone.lan 3.12.8-300.fc20.x86_64 #1 SMP Thu Jan 16 01:07:50 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux
[root@colossus:/var/log]# rpm -qa | grep Network 
NetworkManager-openvpn-0.9.8.2-4.fc20.x86_64
NetworkManager-pptp-0.9.8.2-3.fc20.x86_64
NetworkManager-0.9.9.0-25.git20131003.fc20.x86_64
NetworkManager-openconnect-0.9.8.0-2.fc20.x86_64
NetworkManager-vpnc-0.9.8.2-2.fc20.x86_64
NetworkManager-openvpn-gnome-0.9.8.2-4.fc20.x86_64
NetworkManager-pptp-gnome-0.9.8.2-3.fc20.x86_64
NetworkManager-vpnc-gnome-0.9.8.2-2.fc20.x86_64
NetworkManager-glib-0.9.9.0-25.git20131003.fc20.x86_64
NetworkManager-l2tp-0.9.8-4.fc20.x86_64
[root@colossus:/var/log]# rpm -qa | grep iwl
iwl3945-firmware-15.32.2.9-31.fc20.noarch
iwl5000-firmware-8.83.5.1_1-31.fc20.noarch
iwl5150-firmware-8.24.2.2-31.fc20.noarch
iwl6050-firmware-41.28.5.1-31.fc20.noarch
iwl135-firmware-18.168.6.1-31.fc20.noarch
iwl2030-firmware-18.168.6.1-31.fc20.noarch
iwl2000-firmware-18.168.6.1-31.fc20.noarch
iwl3160-firmware-22.0.7.0-31.fc20.noarch
iwl6000g2b-firmware-17.168.5.2-31.fc20.noarch
iwl6000g2a-firmware-17.168.5.3-31.fc20.noarch
iwl6000-firmware-9.221.4.1-31.fc20.noarch
iwl100-firmware-39.31.5.1-31.fc20.noarch
iwl1000-firmware-39.31.5.1-31.fc20.noarch
iwl105-firmware-18.168.6.1-31.fc20.noarch
iwl7260-firmware-22.0.7.0-31.fc20.noarch
iwl4965-firmware-228.61.2.24-31.fc20.noarch

[root@colossus:/var/log]# lspci 
00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller (rev 09)
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
00:16.0 Communication controller: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 (rev 04)
00:16.3 Serial controller: Intel Corporation 6 Series/C200 Series Chipset Family KT Controller (rev 04)
00:19.0 Ethernet controller: Intel Corporation 82579LM Gigabit Network Connection (rev 04)
00:1a.0 USB controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 (rev b4)
00:1c.1 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 2 (rev b4)
00:1c.3 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 4 (rev b4)
00:1c.4 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 5 (rev b4)
00:1d.0 USB controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation QM67 Express Chipset Family LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller (rev 04)
00:1f.3 SMBus: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller (rev 04)
03:00.0 Network controller: Intel Corporation Centrino Ultimate-N 6300 (rev 3e)
0d:00.0 System peripheral: Ricoh Co Ltd MMC/SD Host Controller (rev 08)


I'm going to try the patched iwldvl module and report back, let me know if you need me to do further testing.

Note You need to log in before you can comment on or make changes to this bug.